# CatArgs
<span class="source-link">[[Source]](src/process/_test.md#L31)</span>
```pony
primitive val CatArgs
```

## Constructors

### create
<span class="source-link">[[Source]](src/process/_test.md#L31)</span>


```pony
new val create()
: CatArgs val^
```

#### Returns

* [CatArgs](process-CatArgs.md) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/process/_test.md#L32)</span>


```pony
fun box apply()
: Array[String val] val
```

#### Returns

* [Array](builtin-Array.md)\[[String](builtin-String.md) val\] val

---

### eq
<span class="source-link">[[Source]](src/process/_test.md#L32)</span>


```pony
fun box eq(
  that: CatArgs val)
: Bool val
```
#### Parameters

*   that: [CatArgs](process-CatArgs.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/process/_test.md#L32)</span>


```pony
fun box ne(
  that: CatArgs val)
: Bool val
```
#### Parameters

*   that: [CatArgs](process-CatArgs.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

